org.codehaus.groovy.runtime.callsite

## Class PogoGetPropertySite

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.AbstractCallSite
  - - org.codehaus.groovy.runtime.callsite.PogoGetPropertySite

All Implemented Interfaces:
  CallSite

    public class PogoGetPropertySite
    extends AbstractCallSite

### Field Summary

### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`array, index, name, usage`

### Constructor Summary

Constructors
Constructor and Description
`PogoGetPropertySite(CallSite parent, Class aClass)`

### Method Summary

Methods
`CallSite` `acceptGetProperty(Object receiver)`
`CallSite` `acceptGroovyObjectGetProperty(Object receiver)`
`Object` `getProperty(Object receiver)`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PogoGetPropertySite

    public PogoGetPropertySite(CallSite parent,
                       Class aClass)

### Method Detail

#### acceptGetProperty

    public CallSite acceptGetProperty(Object receiver)

Overrides:
  `acceptGetProperty` in class `AbstractCallSite`

#### acceptGroovyObjectGetProperty

    public CallSite acceptGroovyObjectGetProperty(Object receiver)

Overrides:
  `acceptGroovyObjectGetProperty` in class `AbstractCallSite`

#### getProperty

    public Object getProperty(Object receiver)
                       throws Throwable

Specified by:
  `getProperty` in interface `CallSite`
Overrides:
  `getProperty` in class `AbstractCallSite`
Throws:
  `Throwable`